clear
clc
close all
RATE=[71;71.3;41.6;19.7;42;17.1;71.8;142;284;47;71.3;117;127;131;133;41.8];%Experimental rate value
PT=[1;1;1;1;1;1;1;1;1;0.5;1;5;10;15;20;1];%Experimental PT value
PH2=[1;1;1;1;1;1;1;2;4;1;1;1;1;1;1;1];%Experimental PH2 value
PB=[0;0;1;4;1;5;0;0;0;0;0;0;0;0;0;1];%Experimental PB value
X=[PT PH2 PB];
yo=[144;1.4;1.03];%Initial guess vector for k,KB,and KT
yfinal= nlinfit(X,RATE,@ODEfun,yo);
 k =yfinal(1);
 KB=yfinal(2);
 KT=yfinal(3);
disp('The final value of k,KB,and KT are')
k
KB
KT